Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1074595

Summary: Review Request: systeminfo - simple utility for viewing HW
Product: [Fedora] Fedora Reporter: Pavol Ipoth <pavol.ipoth>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: collura, itsme_410, kupo, nicolas.vieville, package-review, pahan, panemade, pavol.ipoth
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AwaitingSubmitter
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-15 06:37:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1058038    
Bug Blocks: 201449    

Description Pavol Ipoth 2014-03-10 15:33:13 UTC
Spec URL: http://www.symphaty.org/files/systeminfo.spec
SRPM URL: http://www.symphaty.org/files/systeminfo-1.2-1.fc20.src.rpm
Src URL: http://www.symphaty.org/files/systeminfo-1.2.tar.gz
Description: Simple utility for viewing several types of HW
Fedora Account System Username: p53

I am upstream developer package and i need sponsor as this is my first package

koji build: http://koji.fedoraproject.org/koji/tasks?owner=p53&state=all

Comment 1 nicolas.vieville 2014-10-22 09:27:28 UTC
Hello,

I was in the way to propose you to make an unofficial review of this package (as I'm a Fedora candidate packager - need a sponsor), but I can see in https://bugzilla.redhat.com/show_bug.cgi?id=1058038 that Jeff Backus has already done it.

Is it still necessary? If this is still necessary, I'll tell Jeff Backus that this review request replaced your previous one, in case he would like to go further with his unofficial review.

Cordially,


-- 
NVieville

Comment 2 Ranjan Maitra 2015-12-20 17:36:02 UTC
The links are dead.

Comment 4 Ranjan Maitra 2015-12-21 00:47:14 UTC
Please update to a supported Fedora version. Also update changelog and the version number.

THere are many errors and issues. 

1) If you are packaging python2 library or tools then your spec file should use %{__python2} macros only. See https://fedoraproject.org/wiki/Packaging:Python#Macros

2) Its always a good practice to increase the release number when you provide updated package here. That will help what has changed since your last package update to new package update.

3) Note that python packaging guidelines have changed (See https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file). You should change %build and %install to

%build
%py2_build

%install
py2_install

This should have the exact same effect, but is standard and more concise.

4) Please run fedora-review tool and go through the output: it will catch the same errors and issues for you and thus make review quicker than a back-and-forth.

Comment 5 Parag AN(पराग) 2016-08-12 11:03:55 UTC
Pavol,
   Can you update the package with above suggestions?

Comment 6 Parag AN(पराग) 2016-12-15 06:37:44 UTC
I don't see any update here which is waiting for Submitter to submit update.
I am closing this review now. When needed to work this back in future, just re-open this review bug.